Package wx :: Package lib :: Package floatcanvas :: Module GUIMode :: Class GUIMouse

[frames | no frames]

## Type GUIMouse

    object --+
             |
       GUIBase --+
                 |
                GUIMouse

Mouse mode checks for a hit test, and if nothing is hit, raises a FloatCanvas mouse event for each event.

Method Summary
| `OnLeftDouble(self, event)`
| `OnLeftDown(self, event)`
| `OnLeftUp(self, event)`
| `OnMiddleDouble(self, event)`
| `OnMiddleDown(self, event)`
| `OnMiddleUp(self, event)`
| `OnMove(self, event)`
| `OnRightDouble(self, event)`
| `OnRightDown(self, event)`
| `OnRightUp(self, event)`
| `OnWheel(self, event)`

Class Variable Summary
`Cursor` | `Cursor` = `<wx._gdi.Cursor; proxy of <Swig Object of type ...`

Class Variable Details

### Cursor

  Type:
    `Cursor`
  Value:

        <wx._gdi.Cursor; proxy of <Swig Object of type 'wxCursor *' at 0x2b3fd\
        df05d60> >

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:55:28 2009 | http://epydoc.sf.net